Skip to main content
POST
/
wealth
/
accounts
/
{account_id}
/
goals
curl --request POST \
  --url https://service.bluumfinance.com/v1/wealth/accounts/{account_id}/goals \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Retirement Fund",
  "goal_type": "retirement",
  "target_amount": "500000.00",
  "target_date": "2045-01-01",
  "priority": 1,
  "monthly_contribution": "500.00"
}
'
{
  "goal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Retirement Fund",
  "goal_type": "retirement",
  "target_amount": "500000.00",
  "target_date": "2045-01-01",
  "currency": "USD",
  "priority": 5,
  "initial_amount": "<string>",
  "current_amount": "<string>",
  "progress_percent": "<string>",
  "amount_remaining": "<string>",
  "monthly_contribution": "<string>",
  "projected_completion_date": "2023-12-25",
  "on_track": true,
  "portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "active",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bluumfinance.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Headers

Idempotency-Key
string

Unique key for idempotent operation

Maximum string length: 128

Path Parameters

account_id
string<uuid>
required

The investor account ID

Body

application/json

Request body for creating a goal

name
string
required
Required string length: 1 - 100
goal_type
enum<string>
required
Available options:
retirement,
education,
emergency,
wealth_growth,
home_purchase,
custom
target_amount
string
required
Pattern: ^\d+(\.\d{2})?$
target_date
string<date>
currency
string
default:USD
Pattern: ^[A-Z]{3}$
priority
integer
default:5
Required range: 1 <= x <= 10
initial_amount
string
Pattern: ^\d+(\.\d{2})?$
monthly_contribution
string
Pattern: ^\d+(\.\d{2})?$
portfolio_id
string<uuid>

Optional linked portfolio for this goal

metadata
object

Response

Goal created successfully

A financial goal for the investor

goal_id
string<uuid>
read-only
account_id
string<uuid>
read-only

The investor account this goal belongs to

name
string

Display name for the goal

Example:

"Retirement Fund"

goal_type
enum<string>
Available options:
retirement,
education,
emergency,
wealth_growth,
home_purchase,
custom
target_amount
string

Target dollar amount

Example:

"500000.00"

target_date
string<date>

Target completion date

Example:

"2045-01-01"

currency
string
default:USD
Pattern: ^[A-Z]{3}$
priority
integer

Priority ranking (1 = highest)

Required range: 1 <= x <= 10
initial_amount
string

Initial funded amount

current_amount
string
read-only

Current amount toward goal

progress_percent
string
read-only

Progress percentage toward target

amount_remaining
string
read-only

Amount still needed

monthly_contribution
string

Planned monthly contribution

projected_completion_date
string<date>
read-only

Projected date based on contributions and returns

on_track
boolean
read-only

Whether goal is on track to be met

portfolio_id
string<uuid>

Optional linked portfolio for this goal

status
enum<string>
default:active
Available options:
active,
completed,
archived
metadata
object

Custom metadata

created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only